import { csvParse } from 'd3';

const dataCSV = `Continent,"Population 2018",% of world pop.
Asia,"4,436,224,000",59.69%
Africa,"1,216,130,000",16.36%
Europe,"738,849,000",9.94%
North America,"579,024,000",7.79%
South America,"422,535,000",5.68%
Oceania,"39,901,000",0.54%
Antarctica,"1,106",<0.01%`;

export const data = csvParse(dataCSV)
  .map(d => {
    d['Population 2018'] = +(
      d['Population 2018'].replace(/,/g, '')
    );
    d['% of world pop.'] = +(
      d['% of world pop.']
        .replace('%', '')
        .replace('<', '')
    );
    return d;
  });